
import java.awt.Color
import java.awt.image._
import java.io.File

import javax.imageio.ImageIO
import javax.swing.ImageIcon

import swing._
import event._

object TestView extends SimpleSwingApplication {
  
  def top = new MainFrame() {
    title = "Photogram"
    
    //TODO You should change these!
    /* THESE FILE LOCATIONS SHOULD BE CHANGED ACCORDING TO YOUR PERSONAL SETTINGS. */
    val imageLocation = "src/kuva.png"
    val pixelFilterLocation = "src/pixelfilter.txt"
    val fourierFilterLocation = "src/fourierfilter.txt"
    
    
    /* NO NEED TO DO ANYTHING WITH THINGS BELOW THIS POINT. */  
    var img:BufferedImage = ImageIO.read(new File(imageLocation)) // load image from file
    var icn = new ImageIcon(img) // create image icon with loaded image to be showed
    val imageLabel = new Label("", icn, Alignment.Center)
    
    val test = new FilterTest()
    
    // same for back to original button
    val original = new Button("test")
    listenTo(original)
    reactions += {
      case ButtonClicked(`original`) =>
        img = test.applyFilter(img, "")
        icn.setImage(img)
        this.repaint()
    }
    
    // setting minimum size and centered position for mainframe
    minimumSize = new Dimension(img.getWidth(), img.getHeight())
    centerOnScreen()
    
    contents = new BoxPanel(Orientation.Vertical) { // contents for the main frame
      contents += new GridPanel(1,3) { // adding the image
        contents += imageLabel
      } 
      contents += new GridPanel(1,1) { // adding back to original button
        contents += original
      }
    }
  }
  
}
